Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export
Class ImportCommand

    java.lang.Object
      com.jaspersoft.jasperserver.export.BaseExportImportCommand
          com.jaspersoft.jasperserver.export.ImportCommand

    public class ImportCommand

extends BaseExportImportCommand

Version:
  $Id: ImportCommand.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from class com.jaspersoft.jasperserver.export.BaseExportImportCommand
`BaseExportImportCommand.SpringResourceFactory`

Field Summary
`static java.lang.String` | `DEFAULT_COMMAND_BEAN_NAME`
`static java.lang.String` | `HELP_BEAN_NAME`

Fields inherited from class com.jaspersoft.jasperserver.export.BaseExportImportCommand
`ARG_COMMAND_BEAN, ARG_CONFIG_FILES, ARG_CONFIG_RESOURCES, ARG_HELP, classPathResourceFactory, commandOut, fileSystemResourceFactory, log`

Constructor Summary
`protected` | `ImportCommand()`

Method Summary
`static void` | `main(java.lang.String[] args)`

Methods inherited from class com.jaspersoft.jasperserver.export.BaseExportImportCommand
`createSpringContext, debugArgs, getCommandBean, getCommandBeanName, getConfigSeparator, getHelpBean, parseArgs, process, registerConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_COMMAND_BEAN_NAME

    public static final java.lang.String DEFAULT_COMMAND_BEAN_NAME

See Also:
  Constant Field Values

### HELP_BEAN_NAME

    public static final java.lang.String HELP_BEAN_NAME

See Also:
  Constant Field Values

Constructor Detail

### ImportCommand

    protected ImportCommand()

Method Detail

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.